/**
 * This source file is part of OgreColladaPlugin
 * an addon for OGRE (Object-oriented Graphics Rendering Engine)
 * For the latest info, see http://www.ogre3d.org/
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.

 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA, or go to
 * http://www.gnu.org/copyleft/lesser.txt.
 *
 * @authors	Philipp Hartl, Jeff Doyle (nfz)
 * @see		README
 */

#include "OgreColladaAsset.h"
#include "OgreColladaUtils.h"
#include "OgreColladaSyntax.h"

namespace Ogre
{
    //-----------------------------------------------------------------------
    ColladaAsset::~ColladaAsset()
    {
        
    }

    //-----------------------------------------------------------------------
    bool ColladaAsset::doImport()
    {
        // iterate through child elements and extract data
		// only care about getting <up_axis> for now
		xmlNode *upaxis = ColladaUtils::getChildByTagName(mNode, CS_ELM_UPAXIS);
        if (upaxis)
        {
		    String content = ColladaUtils::getContentDirect(upaxis);
            if (content == CS_VAL_ASSET_UPAXIS_X) mUpAxis = X_UP;
            else if (content == CS_VAL_ASSET_UPAXIS_Y) mUpAxis = Y_UP;
            else if (content == CS_VAL_ASSET_UPAXIS_Z) mUpAxis = Z_UP;
        }

        return true;
    }
}
